/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_QUEUE_WINDOW_H
#define OCARINA_GUI_QUEUE_WINDOW_H

extern "C" {
#include <core/containers/set.h>
#include <gui/queue.h>
}
#include <gtkmm.h>

class QueueWindow : public Gtk::ScrolledWindow {
public:
	Glib::RefPtr<Gtk::Builder> _builder;
	queue *_queue;

	struct set _q_search_res;
	bool _q_search_empty;

	Gtk::TreeView *q_treeview;
	GtkTreeModel *q_filter;

	QueueWindow(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~QueueWindow();
	void init(queue *);

	void filter(std::string &);
	bool filter_ids(const Gtk::TreeIter &);

	bool on_key_press(GdkEventKey *);
	void on_row_activated(const Gtk::TreePath &, Gtk::TreeViewColumn *);
};

#endif /* OCARINA_GUI_QUEUE_WINDOW_H */
